import * as events from '@aws-cdk/aws-events';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface IOnDeployProps {
    /**
     * The number of minutes to add to the current time when generating the expression.
     *
     * Should exceed the expected time for the appropriate resources to converge.
     *
     * @default 10
     * @stability stable
     */
    offsetMinutes?: number;
}
/**
 * @stability stable
 */
export interface IAtProps {
    /**
     * The future date to use for one time event.
     *
     * @stability stable
     */
    date: Date;
}
export declare function dateToCron(date: Date): string;
/**
 * @stability stable
 */
export declare class OnDeploy extends cdk.Construct {
    /**
     * @stability stable
     */
    readonly schedule: events.Schedule;
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, props: IOnDeployProps);
}
/**
 * @stability stable
 */
export declare class At extends cdk.Construct {
    /**
     * @stability stable
     */
    readonly schedule: events.Schedule;
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, props: IAtProps);
}
